---
# tasks/main.yml
# define tasks here

- name: Install the nginx packages
  apt: name={{ item }} state=present
  with_items:
   - nginx

# - name: Ensure log directory exist
  # file: path=/etc/nginx/sites-enabled state=directory mode=0644

- name: Copy the nginx configuration file
  template: src=nginx.conf.j2 dest=/etc/nginx/nginx.conf
  notify:
   - reload nginx